#ifndef QGGRIFOANTENNAWIDGET_H
#define QGGRIFOANTENNAWIDGET_H

#include "qgscopedevice.h"

#include <QWidget>

class QgScopeDevice;

namespace Ui {
class QgGrifoAntennaWidget;
}

class QgGrifoAntennaWidget : public QWidget
{
    Q_OBJECT

public:
    explicit QgGrifoAntennaWidget(QWidget *parent = 0);
    ~QgGrifoAntennaWidget();

    QgScopeDevice* scopeDevice() const;

private slots:
    void antennaTick();
    void postInit();

private:
    Ui::QgGrifoAntennaWidget *ui;    

    void timerEvent(QTimerEvent*);

    class Implementation;
    Implementation& p_;
};

#endif // QGGRIFOANTENNAWIDGET_H
